32 Bit system: Get ZFS running?

  • Hello Forum,


    I messed up my old OMV installation and I had to reinstall it.

    Its an old 32 Bit PC with ZFS volumes on 2 internal drives. There seems to be no 32 Bit ISOs anymore? The latest I could found is openmediavault_3.0.36-i386.iso. I installed it and I tried to get ZFS running (Link to zfs tutorial): I updated OMV3, then I uploaded and installed openmediavault-omvextrasorg_latest_all3.deb. In the OMV-Extras menu I activated "OMV-Extras.org Testing." But there is no ZFS plugin to install? I also cannot install the Proxmox kernel. I think the underlying debian system is to old.


    Can someone give me a hint how I can install OMV on a 32bit system with ZFS?



    Thanks


    Peter

  • Following this guide on a raspberry pi 4 4GB does not allow for zfs to be installed. The zfx linux packages do not default to allowing zfs on 32bit systems


    EDIT: Ah it appears that even if forced to install manually with ssh, openmediavault-zfs is looking for kernel 5.4 when the current one is 5.5

    It isn't the kernel directly - https://github.com/OpenMediaVa…master/debian/control#L16. zfs will work on an RPi but the zfs plugin needs to list its dependencies in order for them to be installed when installing the plugin from the web interface. It would be almost impossible to list every kernel header package since they are all different for every arm board out there. So, I made the dependencies only check for the header packages on amd64 and i386.


    When the zfs-dkms package is installed, it will need to find the headers. I don't know if the header package places them in the correct spot for the zfs-dkms package to find them. Forcing installing the plugin won't help. If you really want to punish yourself and run zfs on an arm board, install zfs-dkms before the plugin and get zfs running. Then you should be able to install the plugin since it won't be doing anything.

    omv 5.6.0 usul | 64 bit | 5.4 proxmox kernel | omvextrasorg 5.5.3
    omv-extras.org plugins source code and issue tracker - github


    Please read this before posting a question.
    Please don't PM for support... Too many PMs!

Participate now!

Don’t have an account yet? Register yourself now and be a part of our community!